org.apache.hadoop.yarn.server.webapp

## Class WebServices

- java.lang.Object
- - org.apache.hadoop.yarn.server.webapp.WebServices

- All Implemented Interfaces:
    AppInfoProvider

      public class WebServices
      extends Object
      implements AppInfoProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.hadoop.yarn.api.ApplicationBaseProtocol` | `appBaseProt`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebServices(org.apache.hadoop.yarn.api.ApplicationBaseProtocol appBaseProt)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppInfo` | `getApp(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, String appId)`
    `AppInfo` | `getApp(javax.servlet.http.HttpServletRequest req, String appId)`
    `org.apache.hadoop.yarn.server.webapp.BasicAppInfo` | `getApp(javax.servlet.http.HttpServletRequest req, String appId, String clusterId)` Returns `BasicAppInfo` object that wraps the collected information about the application.
    `AppAttemptInfo` | `getAppAttempt(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, String appId, String appAttemptId)`
    `AppAttemptsInfo` | `getAppAttempts(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, String appId)`
    `protected org.apache.hadoop.yarn.api.records.ApplicationAttemptReport` | `getApplicationAttemptReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportRequest request)`
    `protected List<org.apache.hadoop.yarn.api.records.ApplicationAttemptReport>` | `getApplicationAttemptsReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptsRequest request)`
    `protected org.apache.hadoop.yarn.api.records.ApplicationReport` | `getApplicationReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationReportRequest request)`
    `protected List<org.apache.hadoop.yarn.api.records.ApplicationReport>` | `getApplicationsReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsRequest request)`
    `AppsInfo` | `getApps(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, String stateQuery, Set<String> statesQuery, String finalStatusQuery, String userQuery, String queueQuery, String count, String startedBegin, String startedEnd, String finishBegin, String finishEnd, Set<String> applicationTypes)`
    `ContainerInfo` | `getContainer(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, String appId, String appAttemptId, String containerId)`
    `ContainerInfo` | `getContainer(javax.servlet.http.HttpServletRequest req, String appId, String appAttemptId, String containerId)`
    `protected org.apache.hadoop.yarn.api.records.ContainerReport` | `getContainerReport(org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportRequest request)`
    `ContainersInfo` | `getContainers(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, String appId, String appAttemptId)`
    `protected List<org.apache.hadoop.yarn.api.records.ContainerReport>` | `getContainersReport(org.apache.hadoop.yarn.api.protocolrecords.GetContainersRequest request)`
    `String` | `getNodeHttpAddress(javax.servlet.http.HttpServletRequest req, String appId, String appAttemptId, String containerId, String clusterId)` Returns the node HTTP address.
    `protected static org.apache.hadoop.security.UserGroupInformation` | `getUser(javax.servlet.http.HttpServletRequest req)`
    `protected void` | `initForReadableEndpoints(javax.servlet.http.HttpServletResponse response)`
    `protected static org.apache.hadoop.yarn.api.records.ApplicationAttemptId` | `parseApplicationAttemptId(String appAttemptId)`
    `protected static org.apache.hadoop.yarn.api.records.ApplicationId` | `parseApplicationId(String appId)`
    `protected static org.apache.hadoop.yarn.api.records.ContainerId` | `parseContainerId(String containerId)`
    `static Set<String>` | `parseQueries(Set<String> queries, boolean isState)`
    `protected void` | `validateIds(org.apache.hadoop.yarn.api.records.ApplicationId appId, org.apache.hadoop.yarn.api.records.ApplicationAttemptId appAttemptId, org.apache.hadoop.yarn.api.records.ContainerId containerId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### appBaseProt

          protected org.apache.hadoop.yarn.api.ApplicationBaseProtocol appBaseProt

  - ### Constructor Detail

    - #### WebServices

          public WebServices(org.apache.hadoop.yarn.api.ApplicationBaseProtocol appBaseProt)

  - ### Method Detail

    - #### getApps

          public AppsInfo getApps(javax.servlet.http.HttpServletRequest req,
                                  javax.servlet.http.HttpServletResponse res,
                                  String stateQuery,
                                  Set<String> statesQuery,
                                  String finalStatusQuery,
                                  String userQuery,
                                  String queueQuery,
                                  String count,
                                  String startedBegin,
                                  String startedEnd,
                                  String finishBegin,
                                  String finishEnd,
                                  Set<String> applicationTypes)

    - #### getApp

          public AppInfo getApp(javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse res,
                                String appId)

    - #### getApp

          public org.apache.hadoop.yarn.server.webapp.BasicAppInfo getApp(javax.servlet.http.HttpServletRequest req,
                                                                          String appId,
                                                                          String clusterId)

      Description copied from interface: `AppInfoProvider`
      Returns `BasicAppInfo` object that wraps the collected information about the application.
      Specified by:
        `getApp` in interface `AppInfoProvider`
      Parameters:
        `req` - `HttpServletRequest` associated with the request
        `appId` - the id of the application
        `clusterId` - the id of the cluster
      Returns:
        `BasicAppInfo` object

    - #### getApp

          public AppInfo getApp(javax.servlet.http.HttpServletRequest req,
                                String appId)

    - #### getAppAttempts

          public AppAttemptsInfo getAppAttempts(javax.servlet.http.HttpServletRequest req,
                                                javax.servlet.http.HttpServletResponse res,
                                                String appId)

    - #### getAppAttempt

          public AppAttemptInfo getAppAttempt(javax.servlet.http.HttpServletRequest req,
                                              javax.servlet.http.HttpServletResponse res,
                                              String appId,
                                              String appAttemptId)

    - #### getContainers

          public ContainersInfo getContainers(javax.servlet.http.HttpServletRequest req,
                                              javax.servlet.http.HttpServletResponse res,
                                              String appId,
                                              String appAttemptId)

    - #### getNodeHttpAddress

          public String getNodeHttpAddress(javax.servlet.http.HttpServletRequest req,
                                           String appId,
                                           String appAttemptId,
                                           String containerId,
                                           String clusterId)

      Description copied from interface: `AppInfoProvider`
      Returns the node HTTP address.
      Specified by:
        `getNodeHttpAddress` in interface `AppInfoProvider`
      Parameters:
        `req` - `HttpServletRequest` associated with the request
        `appId` - the id of the application
        `appAttemptId` - the id of the application attempt
        `containerId` - the container id
        `clusterId` - the id of the cluster
      Returns:
        the node HTTP address

    - #### getContainer

          public ContainerInfo getContainer(javax.servlet.http.HttpServletRequest req,
                                            String appId,
                                            String appAttemptId,
                                            String containerId)

    - #### getContainer

          public ContainerInfo getContainer(javax.servlet.http.HttpServletRequest req,
                                            javax.servlet.http.HttpServletResponse res,
                                            String appId,
                                            String appAttemptId,
                                            String containerId)

    - #### initForReadableEndpoints

          protected void initForReadableEndpoints(javax.servlet.http.HttpServletResponse response)

    - #### parseQueries

          public static Set<String> parseQueries(Set<String> queries,
                                                 boolean isState)

    - #### parseApplicationId

          protected static org.apache.hadoop.yarn.api.records.ApplicationId parseApplicationId(String appId)

    - #### parseApplicationAttemptId

          protected static org.apache.hadoop.yarn.api.records.ApplicationAttemptId parseApplicationAttemptId(String appAttemptId)

    - #### parseContainerId

          protected static org.apache.hadoop.yarn.api.records.ContainerId parseContainerId(String containerId)

    - #### validateIds

          protected void validateIds(org.apache.hadoop.yarn.api.records.ApplicationId appId,
                                     org.apache.hadoop.yarn.api.records.ApplicationAttemptId appAttemptId,
                                     org.apache.hadoop.yarn.api.records.ContainerId containerId)

    - #### getUser

          protected static org.apache.hadoop.security.UserGroupInformation getUser(javax.servlet.http.HttpServletRequest req)

    - #### getApplicationReport

          protected org.apache.hadoop.yarn.api.records.ApplicationReport getApplicationReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationReportRequest request)
                                                                                       throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                              IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### getApplicationsReport

          protected List<org.apache.hadoop.yarn.api.records.ApplicationReport> getApplicationsReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsRequest request)
                                                                                              throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                                     IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### getApplicationAttemptReport

          protected org.apache.hadoop.yarn.api.records.ApplicationAttemptReport getApplicationAttemptReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportRequest request)
                                                                                                     throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                                            IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### getApplicationAttemptsReport

          protected List<org.apache.hadoop.yarn.api.records.ApplicationAttemptReport> getApplicationAttemptsReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptsRequest request)
                                                                                                            throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                                                   IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### getContainerReport

          protected org.apache.hadoop.yarn.api.records.ContainerReport getContainerReport(org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportRequest request)
                                                                                   throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                          IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### getContainersReport

          protected List<org.apache.hadoop.yarn.api.records.ContainerReport> getContainersReport(org.apache.hadoop.yarn.api.protocolrecords.GetContainersRequest request)
                                                                                          throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                                 IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.